codentropy.com

Home > Dpkg Error > Dpkg Error Processing Linux-image-2.6.32-5-amd64

Dpkg Error Processing Linux-image-2.6.32-5-amd64

Setting up linux-image-2.6.32-5-amd64 (2.6.32-35squeeze2) ... Do it with: "mknod /dev/xvda b 202 0" 3) Fix the "update-grub" script to find the device correctly, which you can do by editing /usr/sbin/update-grub, locating the function "find_device()" and replacing Update October 13: After some investigation with the data center guys, the problem came from an installation image which was now fixed. Done The following packages were automatically installed and are no longer required: libtokyocabinet8 libpth20 mutt gettext-base os-prober libgpgme11 Use 'apt-get autoremove' to remove them. this contact form

But the directory listing shows far more than 19MB of files! dpkg: error processing linux-image-amd64 (--configure): dependency problems - leaving unconfigured Processing triggers for initramfs-tools ... run-parts: executing /etc/kernel/postinst.d/initramfs-tools 2.6.32-5-amd64 /boot/vmlinuz-2.6.32-5-amd64 run-parts: executing /etc/kernel/postinst.d/zz-lilo 2.6.32-5-amd64 /boot/vmlinuz-2.6.32-5-amd64 Warning: Not updating LILO; /etc/lilo.conf not found run-parts: executing /etc/kernel/postinst.d/zz-update-grub 2.6.32-5-amd64 /boot/vmlinuz-2.6.32-5-amd64 Generating grub.cfg ... less resources idle on node) However, keeping those packages up-to-date is more complicated as you have to rerun these steps every time a new package is released.

dpkg: error processing linux-image-2.6.32-5-openvz-686 (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of linux-image-openvz-686: linux-image-openvz-686 depends on linux-image-2.6.32-5-openvz-686; however: Package linux-image-2.6.32-5-openvz-686 is not configured yet. If you still have an error, try running "update-grub 0" manually and then "aptitude upgrade" again. Any ideas? I didn't install the OS or configure the thing, it was just handed to me like this so I don't know...

Done The following NEW packages will be installed: vzctl 0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded. Search or use up and down arrow keys to select an item. dpkg: error processing linux-image-3.8-2-amd64 (--configure): subprocess installed post-installation script returned error exit status 1 dpkg: dependency problems prevent configuration of linux-image-amd64: linux-image-amd64 depends on linux-image-3.8-2-amd64; however: Package linux-image-3.8-2-amd64 is not configured I've mailed the host asking if it's a problem with their image or whether I'm just lucky.

run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 1 Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-2.6.32-5-amd64.postinst line 799. home about how to's nagios plugins links 7772 Daysuntil Death of Computers Why? © 2008-2016 by Claudio Kuenzler. I've mailed the host asking if it's a problem with their image or whether I'm just lucky. http://forums.debian.net/viewtopic.php?f=5&t=103445 Here's the output from apt: Code: [email protected]:~# apt-get update && apt-get upgrade Hit http://webmin.mirror.somersettechsolutions.co.uk sarge Release.gpg Ign http://webmin.mirror.somersettechsolutions.co.uk/repository/ sarge/contrib Translation-en Hit http://webmin.mirror.somersettechsolutions.co.uk sarge Release Ign http://webmin.mirror.somersettechsolutions.co.uk sarge/contrib amd64 Packages Hit http://ftp.us.debian.org

Found linux image: /boot/vmlinuz-2.6.32-5-amd64 Found initrd image: /boot/initrd.img-2.6.32-5-amd64 done And now, that the disk devices are set correctly, we launch the initial upgrade command again (for the Kernel ugprade): # aptitude Join our community today! I've tried rebooting (hoping that it would indeed come back up after a reboot and it did) but nothing has helped. Cheers Franciozzy View Public Profile View LQ Blog View Review Entries View HCL Entries Find More Posts by Franciozzy 05-11-2011, 09:23 PM #9 Zaraphrax Member Registered: Sep 2010

Why aren't Muggles extinct? I hope this helps. Skip to content Search Advanced search Quick links Unanswered topics Active topics Search The team FAQ Login Register Board index Main Edition Support Software & Applications Search Errors on all package After this operation, 401 kB of additional disk space will be used.

Stay logged in Sign up now! weblink When I tried to upgrade the Kernel (linux-image-2.6.32-5-amd64), the upgrade process failed badly and with no real indication why (except of dependency problems). run-parts: executing /etc/kernel/postinst.d/initramfs-tools 2.6.32-5-amd64 /boot/vmlinuz-2.6.32-5-amd64 run-parts: executing /etc/kernel/postinst.d/zz-lilo 2.6.32-5-amd64 /boot/vmlinuz-2.6.32-5-amd64 Warning: Not updating LILO; /etc/lilo.conf not found run-parts: executing /etc/kernel/postinst.d/zz-update-grub 2.6.32-5-amd64 /boot/vmlinuz-2.6.32-5-amd64 Generating grub.cfg ... /usr/sbin/grub-probe: error: no such disk. If you need to reset your password, click here.

If you still have an error, try running "update-grub 0" manually and then "aptitude upgrade" again. Cheers Franciozzy View Public Profile View LQ Blog View Review Entries View HCL Entries Find More Posts by Franciozzy 02-05-2012, 05:36 AM #11 ckeilah LQ Newbie Registered: Feb Y (Reading database ... 17063 files and directories currently installed.) Removing grub-legacy ... navigate here Running update-initramfs.

Running update-initramfs. grub-probe: error: cannot find a GRUB drive for /dev/xvda1. For more advanced trainees it can be a desktop reference, and a collection of the base knowledge needed to proceed with system and network administration.

If you'd like to contribute content, let us know.

The following packages will be REMOVED: grub-common grub-legacy 0 upgraded, 0 newly installed, 2 to remove and 0 not upgraded. 2 not fully installed or removed. Today I ssh'd in to do an apt-get update and an apt-get upgrade. Reply Giuseppe Urso says: 2012/12/20 at 11:10 am I'm happy to know it helped! 🙂 Reply Sam says: 2013/03/06 at 1:15 pm Just to say thanks! dpkg: error processing vzdump (--configure): dependency problems - leaving unconfigured Errors were encountered while processing: vzctl linux-image-2.6.32-5-openvz-686 linux-image-openvz-686 vzdump E: Sub-process /usr/bin/dpkg returned an error code (1) My debian is minimal

grub-probe: error: cannot stat `/dev/xvda/'. Yes, it's Xen based but it's not Linode. Setting up linux-image-2.6.32-5-amd64 (2.6.32-35squeeze2) ... his comment is here vzctl is already the newest version.

He's always ready to install Debian on other people computers for free. Done Building dependency tree Reading state information... dpkg: error processing linux-image-2.6.32-5-amd64 (--configure): subprocess installed post-installation script returned error exit status 2 Setting up linux-image-2.6.32-5-xen-amd64 (2.6.32-45) ... Zaraphrax View Public Profile View LQ Blog View Review Entries View HCL Entries Find More Posts by Zaraphrax 05-11-2011, 12:44 AM #8 Franciozzy LQ Newbie Registered: Apr 2011 Posts:

found: /boot/grubSearching for default file ... I can't put a picture, title and author in the same page How to cope with too slow Wi-Fi at hotel? vzdump is already the newest version. update-initramfs: Generating /boot/initrd.img-2.6.32-5-amd64 W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168d-2.fw for module r8169 W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168d-1.fw for module r8169 W: mdadm: /etc/mdadm/mdadm.conf defines no arrays.

Processing triggers for man-db ... Top zerozero Level 16 Posts: 6514 Joined: Tue Jul 07, 2009 2:29 pm Re: Errors on all package installations Quote Postby zerozero » Thu Aug 11, 2011 6:11 pm i believe update-initramfs: Generating /boot/initrd.img-2.6.32-5-amd64 Examining /etc/kernel/postinst.d. Otherwise, can you attach the error logs after fixing find_device()?

Server: zapp Skip to content Nicovs' Blog Some Random SysAdmin Stuff Kernel update errors on a Debian Squeeze Xen Virtual Machine When performing a apt-get upgrade on a Xen Debian Squeeze Join them; it only takes a minute: Sign up Here's how it works: Anybody can ask a question Anybody can answer The best answers are voted up and rise to the Setting up vzctl (3.0.24-12) ...

Border